Bug 487500 - LVQ does not persist durable messages
LVQ does not persist durable messages
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
urgent Severity urgent
: 1.1.1
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 06:17 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:16:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-02-26 06:17:41 EST

    
Comment 1 Gordon Sim 2009-02-26 06:25:13 EST
Created attachment 333314 [details]
Patch for qpidd to support persisted LVQ (Warning: this still has open issues)

Attached test shows a recovery problem with this patch that has yet to be addressed.
Comment 2 Gordon Sim 2009-02-26 06:26:18 EST
Created attachment 333315 [details]
Test case

This contains a test for persistence and recovery of messages in an LVQ. There is one outstadning issue causing it to fail at present.
Comment 3 Gordon Sim 2009-02-26 12:21:29 EST
Fixed in r748214. Test case added to stores persistence.py (r3138). To test just use persistent messages on an LVQ.
Comment 4 Gordon Sim 2009-02-26 12:49:09 EST
I have added --durable and --lvq-match-value options to the sender test utility in the qpid svn. These can be used to do some testing of this issue. E.g.

1. create a durable LVQ queue:

   qpid-config --durable --order lvq add queue test-queue

2. send some durable messages:

   for m in one two three; do echo $m; done | ./src/tests/sender --lvq-match-value aaa --durable true

3. restart broker

4. check the correct set of messages are delivered. E.g. for simple case above:
    $ ./src/tests/receiver
    three
Comment 5 Gordon Sim 2009-02-26 13:24:53 EST
Created attachment 333366 [details]
empty file (how do I delete attachments?!)
Comment 7 Frantisek Reznicek 2009-03-16 12:32:03 EDT
The issue has been fixed, validated on RHEL 4.7 / 5.2 / 5.3 i386 / x86_64 on packages: qpidd-0.5.752581-1.el4/5.

-> VERIFIED
Comment 9 errata-xmlrpc 2009-04-21 12:16:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.